ICU 78.1: UTextFuncs Struct Reference

ICU 78.1 78.1

Data Fields
UTextFuncs Struct Reference

(public) Function dispatch table for UText. More...

`#include <utext.h>`

## Data Fields
int32_t | tableSize
| (public) Function table size, sizeof(UTextFuncs) Intended for use should the table grow to accommodate added functions in the future, to allow tests for older format function tables that do not contain the extensions. More...
int32_t | reserved1
| (private) Alignment padding. More...
int32_t | reserved2
int32_t | reserved3
UTextClone * | clone
| (public) Function pointer for UTextClone More...
UTextNativeLength * | nativeLength
| (public) function pointer for UTextLength May be expensive to compute! More...
UTextAccess * | access
| (public) Function pointer for UTextAccess. More...
UTextExtract * | extract
| (public) Function pointer for UTextExtract. More...
UTextReplace * | replace
| (public) Function pointer for UTextReplace. More...
UTextCopy * | copy
| (public) Function pointer for UTextCopy. More...
UTextMapOffsetToNative * | mapOffsetToNative
| (public) Function pointer for UTextMapOffsetToNative. More...
UTextMapNativeIndexToUTF16 * | mapNativeIndexToUTF16
| (public) Function pointer for UTextMapNativeIndexToUTF16. More...
UTextClose * | close
| (public) Function pointer for UTextClose. More...
UTextClose * | spare1
| (private) Spare function pointer More...
UTextClose * | spare2
| (private) Spare function pointer More...
UTextClose * | spare3
| (private) Spare function pointer More...

## Detailed Description

(public) Function dispatch table for UText.

Conceptually very much like a C++ Virtual Function Table. This struct defines the organization of the table. Each text provider implementation must provide an actual table that is initialized with the appropriate functions for the type of text being handled.

Stable:
  ICU 3.6

Definition at line 1194 of file utext.h.

## Field Documentation

## ◆ access

UTextAccess* UTextFuncs::access

(public) Function pointer for UTextAccess.

See also
  UTextAccess

Stable:
  ICU 3.6

Definition at line 1242 of file utext.h.

## ◆ clone

UTextClone* UTextFuncs::clone

(public) Function pointer for UTextClone

See also
  UTextClone

Stable:
  ICU 3.6

Definition at line 1225 of file utext.h.

## ◆ close

UTextClose* UTextFuncs::close

(public) Function pointer for UTextClose.

See also
  UTextClose

Stable:
  ICU 3.6

Definition at line 1290 of file utext.h.

## ◆ copy

UTextCopy* UTextFuncs::copy

(public) Function pointer for UTextCopy.

See also
  UTextCopy

Stable:
  ICU 3.6

Definition at line 1266 of file utext.h.

## ◆ extract

UTextExtract* UTextFuncs::extract

(public) Function pointer for UTextExtract.

See also
  UTextExtract

Stable:
  ICU 3.6

Definition at line 1250 of file utext.h.

## ◆ mapNativeIndexToUTF16

UTextMapNativeIndexToUTF16* UTextFuncs::mapNativeIndexToUTF16

(public) Function pointer for UTextMapNativeIndexToUTF16.

See also
  UTextMapNativeIndexToUTF16

Stable:
  ICU 3.6

Definition at line 1282 of file utext.h.

## ◆ mapOffsetToNative

UTextMapOffsetToNative* UTextFuncs::mapOffsetToNative

(public) Function pointer for UTextMapOffsetToNative.

See also
  UTextMapOffsetToNative

Stable:
  ICU 3.6

Definition at line 1274 of file utext.h.

## ◆ nativeLength

UTextNativeLength* UTextFuncs::nativeLength

(public) function pointer for UTextLength May be expensive to compute!

See also
  UTextLength

Stable:
  ICU 3.6

Definition at line 1234 of file utext.h.

## ◆ replace

UTextReplace* UTextFuncs::replace

(public) Function pointer for UTextReplace.

See also
  UTextReplace

Stable:
  ICU 3.6

Definition at line 1258 of file utext.h.

## ◆ reserved1

int32_t UTextFuncs::reserved1

(private) Alignment padding.

Do not use, reserved for use by the UText framework only.

Internal:
  Do not use. This API is for internal use only.

Definition at line 1216 of file utext.h.

## ◆ reserved2

int32_t UTextFuncs::reserved2

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1216 of file utext.h.

## ◆ reserved3

int32_t UTextFuncs::reserved3

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1216 of file utext.h.

## ◆ spare1

UTextClose* UTextFuncs::spare1

(private) Spare function pointer

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1296 of file utext.h.

## ◆ spare2

UTextClose* UTextFuncs::spare2

(private) Spare function pointer

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1302 of file utext.h.

## ◆ spare3

UTextClose* UTextFuncs::spare3

(private) Spare function pointer

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1308 of file utext.h.

## ◆ tableSize

int32_t UTextFuncs::tableSize

(public) Function table size, sizeof(UTextFuncs) Intended for use should the table grow to accommodate added functions in the future, to allow tests for older format function tables that do not contain the extensions.

Fields are placed for optimal alignment on 32/64/128-bit-pointer machines, by normally grouping together 4 32-bit fields, 4 pointers, 2 64-bit fields in sequence.

Stable:
  ICU 3.6

Definition at line 1209 of file utext.h.

The documentation for this struct was generated from the following file:

- common/unicode/utext.h